<?php
namespace Teknisa\FIS\Factories;

use Doctrine\ORM\EntityManager;

class Ger01500MunicipioFactory {
    #default service
    protected $connection;

    public function __construct(EntityManager $entityManager) {
        #initializes default service
        $this->connection = $entityManager->getConnection();

    }
    public function verficaNomeMunicipio($row) {
        $params           = array();
        $params['NRORG']  = $row['NRORG'];
        $params['CDPAIS']  = $row['CDPAIS'];
        $params['SGESTADO']  = $row['SGESTADO'];

        $params['NMMUNICIPIO'] = strtolower($row['NMMUNICIPIO']);

        $sql = "SELECT *
                  	FROM MUNICIPIO
                	WHERE (NRORG = :NRORG OR NRORG = 0) AND CDPAIS = :CDPAIS AND SGESTADO = :SGESTADO AND LOWER(NMMUNICIPIO) = :NMMUNICIPIO";


        $std = $this->connection->prepare($sql);
        $std->execute($params);


        return $std->fetchAll();
    }

    public function verficaCodigoMunicipio($row) {
        $params                = array();
        $params['NRORG']       = $row['NRORG'];
       	$params['CDPAIS']      = $row['CDPAIS'];
       	$params['SGESTADO']    = $row['SGESTADO'];
       	$params['CDMUNICIPIO'] = $row['CDMUNICIPIO'];

        $sql = "SELECT *
                  	FROM MUNICIPIO
                	WHERE (NRORG = :NRORG OR NRORG = 0) AND CDPAIS = :CDPAIS AND SGESTADO = :SGESTADO AND CDMUNICIPIO = :CDMUNICIPIO";


        $std = $this->connection->prepare($sql);
        $std->execute($params);


        return $std->fetchAll();
    }
    
    public function novoCodigoBairro($cdpais, $sgestado, $cdmunicipio) {
        $params                  = array();
       	$params['P_CDPAIS']      = $cdpais;
       	$params['P_SGESTADO']    = $sgestado;
       	$params['P_CDMUNICIPIO'] = $cdmunicipio;

        $sql = "SELECT NVL(MAX(CDBAIRRO),0)+1 AS MAIORBAIRRO
                FROM BAIRRO
                WHERE CDPAIS        = :P_CDPAIS
                    AND SGESTADO    = :P_SGESTADO
                    AND CDMUNICIPIO = :P_CDMUNICIPIO";


        $std = $this->connection->prepare($sql);
        $std->execute($params);
        return $std->fetchAll();
    }
    
    public function novoCodigoRegiao($cdpais, $sgestado, $cdmunicipio) {
        $params                  = array();
       	$params['P_CDPAIS']      = $cdpais;
       	$params['P_SGESTADO']    = $sgestado;
       	$params['P_CDMUNICIPIO'] = $cdmunicipio;

        $sql = "SELECT NVL(MAX(CDREGIAOMUNI),0)+1 AS MAIORREGIAO
                FROM REGIAOMUNI
                WHERE CDPAIS      = :P_CDPAIS
                    AND SGESTADO    = :P_SGESTADO
                    AND CDMUNICIPIO = :P_CDMUNICIPIO";


        $std = $this->connection->prepare($sql);
        $std->execute($params);
        return $std->fetchAll();
    }
    
}