<?php

namespace Teknisa\FIS\Modules\Guias\Controllers;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\Report\ReportService;
use Zeedhi\Framework\DB\StoredProcedure\Param;
use Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;
use Zeedhi\Framework\Controller\Report;

/**
 * Class EmissaoGuiaBirtController
 * @package Teknisa\FIS\Modules\Guias\Controllers
 */
class EmissaoGuiaBirtController extends Report{

    protected $birtStrategy;
    protected $environment;

    public function __construct($reportService, $birtStrategy) {
        $this->birtStrategy = $birtStrategy;
        parent::__construct($reportService);
    }

    protected $reportMapping = array (
        /*'darf' => array (
            'strategy'         => 'BIRT',
            'parameterMapping' => array (
                'CDEMPRESA'    => 'CDEMPRESA',
                'CDIMPOSTO'    => 'CDIMPOSTO',
                'NRSEQUMAPAPU' => 'NRSEQUMAPAPU',
                'CDINSCESTA'   => 'CDINSCESTA',
                'CDINSCMUNI'   => 'CDINSCMUNI',
                'IDTIPOGUIA'   => 'IDTIPOGUIA',
                'NRORG'        => 'NRORG')),*/
        'darf' => array (
            'strategy'         => 'BIRT',
            'parameterMapping' => array (
                'NRORG'           => 'NRORG',
                'NRSEQDOCARRECAD' => 'NRSEQDOCARRECAD')),
        'gare' => array (
            'strategy'         => 'BIRT',
            'parameterMapping' => array (
                'NRORG'           => 'NRORG',
                'NRSEQDOCARRECAD' => 'NRSEQDOCARRECAD')),
        'grpr' => array (
            'strategy'         => 'BIRT',
            'parameterMapping' => array (
                'NRORG'           => 'NRORG',
                'NRSEQDOCARRECAD' => 'NRSEQDOCARRECAD')),
        'dare-sc' => array (
            'strategy'         => 'BIRT',
            'parameterMapping' => array (
                'NRORG'           => 'NRORG',
                'NRSEQDOCARRECAD' => 'NRSEQDOCARRECAD')),
        'daems' => array (
            'strategy'         => 'BIRT',
            'parameterMapping' => array (
                'NRORG'           => 'NRORG',
                'NRSEQDOCARRECAD' => 'NRSEQDOCARRECAD')),
        'darj' => array (
            'strategy'         => 'BIRT',
            'parameterMapping' => array (
                'NRORG'           => 'NRORG',
                'NRSEQDOCARRECAD' => 'NRSEQDOCARRECAD')),
        'gnre-sp' => array (
            'strategy'         => 'BIRT',
            'parameterMapping' => array (
                'NRORG'           => 'NRORG',
                'NRSEQDOCARRECAD' => 'NRSEQDOCARRECAD',
                'SGESTADO'        => 'UFFAVORECIDA'))
    );

}